Bug 682382 - hardcodes eth0
hardcodes eth0
Status: ASSIGNED
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ppp (Show other bugs)
6.1
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Michal Sekletar
BaseOS QE Security Team
: Patch
Depends On:
Blocks: 682269 1160262
  Show dependency treegraph
 
Reported: 2011-03-04 21:01 EST by Bill Nottingham
Modified: 2016-03-02 06:44 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 682381
: 1160262 (view as bug list)
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch included in Fedora (27.97 KB, patch)
2014-05-02 11:02 EDT, Michal Sekletar
no flags Details | Diff
Patch included in Fedora (12.18 KB, patch)
2014-05-02 11:06 EDT, Michal Sekletar
no flags Details | Diff

  None (edit)
Description Bill Nottingham 2011-03-04 21:01:16 EST
+++ This bug was initially created as a clone of Bug #682381 +++

Description of problem:

Network devices can have arbitrary names, and due to
http://fedoraproject.org/wiki/Features/ConsistentNetworkDeviceNaming, will have
different names in Fedora 15. Also, it's possible due to hardware changes, etc. that a box only has eth1, eth2, etc.

ppp-2.4.5/pppd/sys-linux.c:

...
char *
get_first_ethernet()
{
        return "eth0";
}
...
int
ether_to_eui64(eui64_t *p_eui64)
{
...
    strcpy(ifr.ifr_name, "eth0");
    if(ioctl(skfd, SIOCGIFHWADDR, &ifr) < 0)
    {
        close(skfd);
        warn("could not obtain hardware address for eth0");
...

Now, given that it does have fallback code for both of these functions if it fails, I'm not sure it drastically affects functionality at runtime. Filing for completeness.

Version-Release number of selected component (if applicable):

ppp-2.4.5

How reproducible:

By visual inspection.
Comment 2 RHEL Product and Program Management 2011-03-04 21:19:01 EST
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unfortunately unable to
address this request at this time. Red Hat invites you to
ask your support representative to propose this request, if
appropriate and relevant, in the next release of Red Hat
Enterprise Linux. If you would like it considered as an
exception in the current release, please ask your support
representative.
Comment 5 Suzanne Yeghiayan 2012-02-14 18:07:32 EST
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unfortunately unable to
address this request at this time. Red Hat invites you to
ask your support representative to propose this request, if
appropriate and relevant, in the next release of Red Hat
Enterprise Linux. If you would like it considered as an
exception in the current release, please ask your support
representative.
Comment 6 RHEL Product and Program Management 2012-09-07 01:09:11 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unable to address this
request at this time.

Red Hat invites you to ask your support representative to
propose this request, if appropriate, in the next release of
Red Hat Enterprise Linux.
Comment 8 Michal Sekletar 2014-05-02 11:00:48 EDT
I've recently reworked patch for this bug which was already included in Fedora. We query udev database to get information about network interfaces and then we pick first which looks like ethernet interface.
Comment 9 Michal Sekletar 2014-05-02 11:02:47 EDT
Created attachment 891913 [details]
Patch included in Fedora
Comment 10 Michal Sekletar 2014-05-02 11:06:28 EDT
Created attachment 891914 [details]
Patch included in Fedora

Note You need to log in before you can comment on or make changes to this bug.